gi-gdkx11-3.0.10: GdkX11 bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11DeviceCore

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype X11DeviceCore = X11DeviceCore (ManagedPtr X11DeviceCore)
- class (GObject o, IsDescendantOf X11DeviceCore o) => IsX11DeviceCore o
- toX11DeviceCore :: (MonadIO m, IsX11DeviceCore o) => o -> m X11DeviceCore

# Exported types

newtype X11DeviceCore Source #

Memory-managed wrapper type.

Constructors

X11DeviceCore (ManagedPtr X11DeviceCore) |

#### Instances

Instances details

Eq X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore Methods (==) :: X11DeviceCore -> X11DeviceCore -> Bool # (/=) :: X11DeviceCore -> X11DeviceCore -> Bool #
GObject X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore
TypedObject X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore Methods glibType :: IO GType Source #
ManagedPtrNewtype X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore Methods toManagedPtr :: X11DeviceCore -> ManagedPtr X11DeviceCore Source #
IsGValue X11DeviceCore Source # | Convert `X11DeviceCore` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore Methods toGValue :: X11DeviceCore -> IO GValue Source # fromGValue :: GValue -> IO X11DeviceCore Source #
HasParentTypes X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore
type ParentTypes X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore type ParentTypes X11DeviceCore = '[Device, Object]

class (GObject o, IsDescendantOf X11DeviceCore o) => IsX11DeviceCore o Source #

Type class for types which can be safely cast to `X11DeviceCore`, for instance with `toX11DeviceCore`.

#### Instances

Instances details

(GObject o, IsDescendantOf X11DeviceCore o) => IsX11DeviceCore o Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore

toX11DeviceCore :: (MonadIO m, IsX11DeviceCore o) => o -> m X11DeviceCore Source #

Cast to `X11DeviceCore`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods